Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class LabelStrategyEnum

    java.lang.Object
      org.apache.commons.lang.enums.Enum
          com.pmease.quickbuild.model.LabelStrategyEnum

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public final class LabelStrategyEnum
extends org.apache.commons.lang.enums.Enum

Define label strategy enumerations.

Author:
  robin shine
See Also:
  Serialized Form

Field Summary
`static LabelStrategyEnum` | `DO_NOT_LABEL`
`static LabelStrategyEnum` | `LABEL_ALWAYS`
`static LabelStrategyEnum` | `LABEL_IF_SUCCESS`

Fields inherited from class org.apache.commons.lang.enums.Enum
`iToString`

Method Summary
`static LabelStrategyEnum` | `getEnum(java.lang.String labelStrategy)`
`static java.util.List` | `getEnumList()`
`static java.util.Map` | `getEnumMap()`
`static java.util.Iterator` | `iterator()`

Methods inherited from class org.apache.commons.lang.enums.Enum
`compareTo, equals, getEnum, getEnumClass, getEnumList, getEnumMap, getName, hashCode, iterator, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LABEL_IF_SUCCESS

    public static final LabelStrategyEnum LABEL_IF_SUCCESS

### LABEL_ALWAYS

    public static final LabelStrategyEnum LABEL_ALWAYS

### DO_NOT_LABEL

    public static final LabelStrategyEnum DO_NOT_LABEL

Method Detail

### getEnum

    public static LabelStrategyEnum getEnum(java.lang.String labelStrategy)

### getEnumMap

    public static java.util.Map getEnumMap()

### getEnumList

    public static java.util.List getEnumList()

### iterator

    public static java.util.Iterator iterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.